Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
Ipopt::InexactTSymScalingMethod Class Reference

Class for the method for computing scaling factors for symmetric matrices in triplet format, specifically for the inexaxct algorithm. More...

`#include <IpInexactTSymScalingMethod.hpp>`

Inheritance diagram for Ipopt::InexactTSymScalingMethod:
[legend]

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject More...
virtual bool | ComputeSymTScalingFactors (Index n, Index nnz, const ipfint *airn, const ipfint *ajcn, const double *a, double *scaling_factors)
| Method for computing the symmetric scaling factors, given the symmtric matrix in triplet (MA27) format. More...
Constructor/Destructor
| InexactTSymScalingMethod ()
virtual | ~InexactTSymScalingMethod ()
Public Member Functions inherited from Ipopt::TSymScalingMethod
virtual bool | ComputeSymTScalingFactors (Index n, Index nnz, const Index *airn, const Index *ajcn, const double *a, double *scaling_factors)=0
| Method for computing the symmetric scaling factors, given the symmtric matrix in triplet (MA27) format. More...
| TSymScalingMethod ()
| ~TSymScalingMethod ()
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| InexactTSymScalingMethod (const InexactTSymScalingMethod &)
| Copy Constructor. More...
void | operator= (const InexactTSymScalingMethod &)
| Overloaded Equals Operator. More...
InexactCq & | InexCq ()
| Method to easily access Inexact calculated quantities. More...

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Class for the method for computing scaling factors for symmetric matrices in triplet format, specifically for the inexaxct algorithm.

The scaling is only considering the current slacks.

Definition at line 24 of file IpInexactTSymScalingMethod.hpp.

## Constructor & Destructor Documentation

Ipopt::InexactTSymScalingMethod::InexactTSymScalingMethod | ( |  | ) |
| inline

Definition at line 29 of file IpInexactTSymScalingMethod.hpp.

virtual Ipopt::InexactTSymScalingMethod::~InexactTSymScalingMethod | ( |  | ) |
| inline virtual

Definition at line 32 of file IpInexactTSymScalingMethod.hpp.

Ipopt::InexactTSymScalingMethod::InexactTSymScalingMethod | ( | const InexactTSymScalingMethod & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::InexactTSymScalingMethod::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

overloaded from AlgorithmStrategyObject

Implements Ipopt::TSymScalingMethod.

virtual bool Ipopt::InexactTSymScalingMethod::ComputeSymTScalingFactors | ( | Index | n,
|  | Index | nnz,
|  | const ipfint * | airn,
|  | const ipfint * | ajcn,
|  | const double * | a,
|  | double * | scaling_factors
| ) |  |
| virtual

Method for computing the symmetric scaling factors, given the symmtric matrix in triplet (MA27) format.

void Ipopt::InexactTSymScalingMethod::operator= | ( | const InexactTSymScalingMethod & |  | ) |
| private

Overloaded Equals Operator.

InexactCq& Ipopt::InexactTSymScalingMethod::InexCq | ( |  | ) |
| inline private

Method to easily access Inexact calculated quantities.

Definition at line 62 of file IpInexactTSymScalingMethod.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/Inexact/IpInexactTSymScalingMethod.hpp